<template>
  <infinity-el-menu :menu-list="store.leftMenuList"/>
</template>

<script>
import {computed, ref} from "vue";
import {useRootStore} from "@/pinia/useStore";
import {useRoute} from "vue-router";
import InfinityElMenu from "@/components/common/InifinityElMenu.vue";

export default {
  name: "MyMenu",
  components: {InfinityElMenu},
  setup() {
    const route =useRoute()
    const store = useRootStore()
    debugger
    // const currentM = computed(() => {
    //   return otherReflectArr.find(i => i.name === store.pageType).menus
    // })
    function homeCountAdd() {
      store.toHomeCounter++
    }
    return {
      store,
      homeCountAdd,
      //otherReflectArr
    }
  }
}
</script>

<style scoped lang="scss">

</style>
